For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Workflows
      • POSTCreate Workflow
      • GETGet Workflow
      • PUTUpdate Workflow
      • DELDelete Workflow
      • PATCHPatch Workflow
      • GETList Workflow Uploads
      • POSTPreview Run
      • GETRuns Summary
      • GETGet Run Steps
      • GETGet Run Overview
      • GETGet Run Data
      • GETDownload Run
      • GETDownload Run Node
      • POSTDuplicate Workflow
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceworkflows

Download Run

GET
/api/v1/workflows/:workflow_id/runs/:run_id/download
GET
/api/v1/workflows/:workflow_id/runs/:run_id/download
$curl https://api.onepin.ai/api/v1/workflows/workflow_id/runs/run_id/download \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "url": "https://storage.onepin.ai/downloads/8f14e45f-ceea-4d3a-9f2b-1a2b3c4d5e6f/export.zip?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
4 "filename": "workflow_run_8f14e45f-ceea-4d3a-9f2b-1a2b3c4d5e6f_export.zip",
5 "expires_at": "2024-01-15T09:30:00Z"
6 },
7 "meta": {
8 "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
9 "timestamp": "2024-01-15T09:30:00Z"
10 }
11}
Create a temporary download URL for a workflow run export.
Was this page helpful?
Previous

Download Run Node

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token
OR
AuthorizationBearer

Onepin live API key (op_live_...). Test and public keys are reserved in Phase 1.

Path parameters

workflow_idstringRequiredformat: "uuid"
run_idstringRequiredformat: "uuid"

Headers

X-Workspace-Idstring or nullOptional

Response

Successful Response
dataobject
metaobject

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error